<template>
  <div
    class="min-h-full flex items-center justify-center py-12 px-4 sm:px-6 lg:px-8"
  >
    <div class="max-w-lg w-full bg-white p-4 md:px-8 md:py-16 shadow-xl">
      <div>
        <img
          class="mx-auto h-12 w-auto"
          src="../assets/LogoOMTBlue.png"
          alt="OMT-logo"
        />
        <h2 class="mt-6 text-center text-3xl font-extrabold text-gray-900">
          Se connecter
        </h2>
      </div>
      <Vuemik
        class="mt-8 space-y-6"
        :initial-values="{
          email: '',
          password: ''
        }"
        :violations="user.violations"
        :on-submit="user.login"
      >
        <div class="rounded-md shadow-sm">
          <Field
            id="email-address"
            label="Email"
            component="input"
            type="email"
            name="email"
            placeholder="exemple@domaine.fr"
          />
          <Field
            id="password"
            label="Mot de passe"
            component="input"
            type="password"
            name="password"
            placeholder="Mot de passe"
          />
          <div class="flex justify-end">
            <div class="text-sm my-6">
              <router-link to="/forgot-password">
                <a class="font-medium text-yellow-600 hover:text-yellow-500">
                  Mot de passe oublié ?
                </a>
              </router-link>
            </div>
          </div>
          <Field component="input" type="submit" value="Se connecter" />
        </div>
      </Vuemik>
    </div>
  </div>
</template>

<script>

export default {
  name: "LoginView",
  inject: ["user"],
  beforeMount() {
    this.user.clearViolations();
  }
};
</script>
